backend:
  name: github
  repo: Ivsha10/tf-prototype # <-- your repo
  branch: main
  base_url: /api/sveltia # <-- our OAuth proxy base path
  auth_endpoint: auth # -> /api/sveltia/auth

media_folder: "src/assets/images" # Location where files will be stored in the repo
public_folder: "src/assets/images" # The src attribute for uploaded media

# Here we define content structure
collections:
  - label: "Newsletters"
    name: "newsletters"
    folder: "src/content/newsletters" # Folder where the posts are stored
    create: true
    slug: "{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Date", name: "date", widget: "datetime" }
      - { label: "Excerpt", name: "excerpt", widget: "text" }
      - { label: "Author", name: "author", widget: "string" }
      - {
          label: "Featured",
          name: "featured",
          widget: "boolean",
          default: false,
        }
      - { label: "Body", name: "body", widget: "markdown" }

    # - label: "Blog Posts"
  #   name: "posts"
  #   folder: "src/content/posts" # Folder where the posts are stored
  #   create: true
  #   slug: "{{slug}}"
  #   fields:
  #     - { label: "Title", name: "title", widget: "string" }
  #     - { label: "Date", name: "date", widget: "datetime" }
  #     - { label: "Excerpt", name: "excerpt", widget: "text" }
  #     - { label: "Author", name: "author", widget: "string" }
  #     - {
  #         label: "Featured",
  #         name: "featured",
  #         widget: "boolean",
  #         default: false,
  #       }
  #     - { label: "Body", name: "body", widget: "markdown" }
